gamemodelist(1)

NAME
gamemodelist - search for processes running with gamemode

SYNOPSIS
gamemodelist

DESCRIPTION
gamemodelist will search the runtime of all processes running which started GameMode via libgamemodeauto.so and print them with ps(1) command output. This helper script makes it easy to find which processes are utilizing GameMode via libgamemodeauto.so when troubleshooting potential game issues.

USAGE
libgamemodeauto.so.0 will be found in the shared object maps of running processes utilizing GameMode. Run the following command to print processes loaded with libgamemodeauto.so.0. GameMode can be started other ways but this script will only detect processes utilizing GameMode via libgamemodeauto.so.
    gamemodelist

OUTPUT
The output is a process table from ps(1) command.
    PID PPID USER NI PSR COMMAND
Where each of these fields are defined in ps(1) manual. For your convenience here's a definition for each field.
    COLUMN | DESCRIPTION
    PID | Process ID
    PPID | Parent process ID
    USER | User name owning the process.
    NI | Nice value. This ranges from 19 (nicest) to -20 (not nice to others), See
    PSR | Processor that process is currently assigned to. Useful when setting process affinity using utility.
    COMMAND | Command name (only the executable name).

SEE ALSO
gamemodrun(1), nice(1), ps(1), taskset(1).

ABOUT
GameMode source can be found at https://github.com/FeralInteractive/gamemode.git

AUTHOR
gamemodelist was authored by Sam Gleske (https://github.com/samrocketman/) GameMode was authored by Feral Interactive (linux-contact@feralinteractive.com)